{
  "config_version": "1.0.11",
  "general": {
    "min_structure_distance_from_world_center": 70,
    "disable_all_structures": false,
    "enable_global_spacing_and_separation_modifier": true,
    "global_spacing_and_separation_modifier": 1.4
  },
  "structures": [
    {
      "name": "minecraft:ruined_portal_nether",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "minecraft:village_plains",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 65,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 65,
      "whitelisted_biomes": [
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:redwoods",
        "regions_unexplored:flower_fields",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:boreal_taiga",
        "regions_unexplored:maple_forest",
        "regions_unexplored:autumnal_maple_forest"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:ancient_temple",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:plains",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:forest",
        "minecraft:old_growth_birch_forest",
        "minecraft:dark_forest",
        "minecraft:old_growth_pine_taiga",
        "minecraft:old_growth_spruce_taiga",
        "minecraft:taiga",
        "minecraft:snowy_taiga",
        "minecraft:savanna",
        "minecraft:meadow",
        "minecraft:windswept_hills",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:birch_forest",
        "minecraft:flower_forest",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:dark_tower",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:sunflower_plains",
        "minecraft:forest",
        "minecraft:old_growth_birch_forest",
        "minecraft:old_growth_pine_taiga",
        "minecraft:savanna",
        "minecraft:meadow",
        "minecraft:windswept_hills",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:dojo",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:old_growth_pine_taiga",
        "minecraft:meadow",
        "minecraft:desert",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:fortified_temple",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:forest",
        "minecraft:old_growth_pine_taiga",
        "minecraft:old_growth_spruce_taiga",
        "minecraft:snowy_taiga",
        "minecraft:savanna",
        "minecraft:meadow",
        "minecraft:windswept_hills",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:birch_forest",
        "minecraft:flower_forest",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:gnome_hut",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:plains",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:forest",
        "minecraft:old_growth_birch_forest",
        "minecraft:old_growth_pine_taiga",
        "minecraft:taiga",
        "minecraft:snowy_taiga",
        "minecraft:savanna",
        "minecraft:meadow",
        "minecraft:windswept_hills",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:birch_forest",
        "minecraft:flower_forest",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:granite_fort",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:forest",
        "minecraft:old_growth_pine_taiga",
        "minecraft:old_growth_spruce_taiga",
        "minecraft:savanna",
        "minecraft:meadow",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:haunted_ruin",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:old_growth_pine_taiga",
        "minecraft:old_growth_spruce_taiga",
        "minecraft:savanna",
        "minecraft:meadow",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:herobrine_stronghold",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:forest",
        "minecraft:old_growth_birch_forest",
        "minecraft:old_growth_pine_taiga",
        "minecraft:old_growth_spruce_taiga",
        "minecraft:taiga",
        "minecraft:snowy_taiga",
        "minecraft:savanna",
        "minecraft:meadow",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:birch_forest",
        "minecraft:flower_forest",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:manor",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:forest",
        "minecraft:old_growth_pine_taiga",
        "minecraft:old_growth_spruce_taiga",
        "minecraft:savanna",
        "minecraft:meadow",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:birch_forest",
        "minecraft:flower_forest",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:marble_chateau",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:forest",
        "minecraft:old_growth_birch_forest",
        "minecraft:old_growth_pine_taiga",
        "minecraft:savanna",
        "minecraft:meadow",
        "minecraft:windswept_hills",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:monastery_tower",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:forest",
        "minecraft:old_growth_pine_taiga",
        "minecraft:old_growth_spruce_taiga",
        "minecraft:savanna",
        "minecraft:meadow",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:birch_forest",
        "minecraft:flower_forest",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:mosque",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:plains",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:forest",
        "minecraft:old_growth_birch_forest",
        "minecraft:dark_forest",
        "minecraft:old_growth_pine_taiga",
        "minecraft:old_growth_spruce_taiga",
        "minecraft:taiga",
        "minecraft:snowy_taiga",
        "minecraft:savanna",
        "minecraft:meadow",
        "minecraft:windswept_hills",
        "minecraft:savanna_plateau",
        "minecraft:birch_forest",
        "minecraft:flower_forest",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:nomadic_camp",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:old_growth_pine_taiga",
        "minecraft:old_growth_spruce_taiga",
        "minecraft:savanna",
        "minecraft:meadow",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:birch_forest",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:old_fort",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:icy_heights",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:frozen_pine_taiga"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:old_home",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:snowy_plains",
        "minecraft:old_growth_pine_taiga",
        "minecraft:snowy_taiga",
        "minecraft:meadow",
        "minecraft:desert",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:quarry",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:forest",
        "minecraft:old_growth_pine_taiga",
        "minecraft:old_growth_spruce_taiga",
        "minecraft:savanna",
        "minecraft:meadow",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:birch_forest",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:rotten_log",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:plains",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:old_growth_pine_taiga",
        "minecraft:snowy_taiga",
        "minecraft:savanna",
        "minecraft:meadow",
        "minecraft:windswept_hills",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:rotting_temple",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:plains",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:forest",
        "minecraft:old_growth_birch_forest",
        "minecraft:dark_forest",
        "minecraft:old_growth_pine_taiga",
        "minecraft:old_growth_spruce_taiga",
        "minecraft:taiga",
        "minecraft:snowy_taiga",
        "minecraft:savanna",
        "minecraft:meadow",
        "minecraft:windswept_hills",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:birch_forest",
        "minecraft:flower_forest",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:rotting_temple_underground",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:snowy_plains",
        "minecraft:old_growth_pine_taiga",
        "minecraft:meadow",
        "minecraft:desert",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:ruined_castle",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:forest",
        "minecraft:old_growth_pine_taiga",
        "minecraft:old_growth_spruce_taiga",
        "minecraft:savanna",
        "minecraft:meadow",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:birch_forest",
        "minecraft:flower_forest",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:spider_nest",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:snowy_plains",
        "minecraft:old_growth_pine_taiga",
        "minecraft:meadow",
        "minecraft:desert",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:stray_ruins",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:plains",
        "minecraft:sunflower_plains",
        "minecraft:forest",
        "minecraft:old_growth_birch_forest",
        "minecraft:dark_forest",
        "minecraft:old_growth_pine_taiga",
        "minecraft:old_growth_spruce_taiga",
        "minecraft:taiga",
        "minecraft:savanna",
        "minecraft:meadow",
        "minecraft:windswept_hills",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:birch_forest",
        "minecraft:flower_forest"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:tavern",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:old_growth_pine_taiga",
        "minecraft:meadow",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:underground_monument",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:snowy_plains",
        "minecraft:old_growth_pine_taiga",
        "minecraft:meadow",
        "minecraft:desert",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:villager_inn",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:old_growth_pine_taiga",
        "minecraft:meadow",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "ati_structures:woodland_keep",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 100,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 100,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:old_growth_pine_taiga",
        "minecraft:old_growth_spruce_taiga",
        "minecraft:taiga",
        "minecraft:snowy_taiga",
        "minecraft:savanna",
        "minecraft:meadow",
        "minecraft:windswept_hills",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:birch_forest",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "castle_dungeons:castle_illager_plains",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 0,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 0,
      "whitelisted_biomes": [
        "regions_unexplored:fungal_fen",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "cinchcraft:abandoned_archeology_site",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:plains",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:forest",
        "minecraft:old_growth_birch_forest",
        "minecraft:old_growth_pine_taiga",
        "minecraft:old_growth_spruce_taiga",
        "minecraft:taiga",
        "minecraft:snowy_taiga",
        "minecraft:savanna",
        "minecraft:meadow",
        "minecraft:windswept_hills",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:flower_forest",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "cinchcraft:abandoned_brick_house",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:plains",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:old_growth_birch_forest",
        "minecraft:dark_forest",
        "minecraft:old_growth_pine_taiga",
        "minecraft:old_growth_spruce_taiga",
        "minecraft:taiga",
        "minecraft:snowy_taiga",
        "minecraft:savanna",
        "minecraft:windswept_hills",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:birch_forest",
        "minecraft:flower_forest",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "cinchcraft:abandoned_farm_house",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:plains",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:old_growth_birch_forest",
        "minecraft:dark_forest",
        "minecraft:old_growth_pine_taiga",
        "minecraft:old_growth_spruce_taiga",
        "minecraft:taiga",
        "minecraft:snowy_taiga",
        "minecraft:savanna",
        "minecraft:windswept_hills",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:birch_forest",
        "minecraft:flower_forest",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "cinchcraft:ruined_tower",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:frozen_pine_taiga"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "cinchcraft:witches_gathering",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:plains",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:forest",
        "minecraft:old_growth_birch_forest",
        "minecraft:dark_forest",
        "minecraft:old_growth_pine_taiga",
        "minecraft:old_growth_spruce_taiga",
        "minecraft:snowy_taiga",
        "minecraft:savanna",
        "minecraft:meadow",
        "minecraft:windswept_hills",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:birch_forest",
        "minecraft:flower_forest",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "combat_structures_update:flyingboat",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 64,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 64,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "combat_structures_update:ruinedstronghold",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 64,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 64,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "combat_structures_update:runieddesertportal",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 64,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 64,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "dimdoors:enclosed_gateway",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:snowy_plains",
        "minecraft:snowy_taiga",
        "minecraft:desert"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "dimdoors:enclosed_quartz_gateway",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "twilightforest:snowy_forest",
        "minecraft:ice_spikes",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:frozen_pine_taiga"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "herobrine011840_dungeons:badlands_settlement",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 64,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 64,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:plains",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:forest",
        "minecraft:old_growth_birch_forest",
        "minecraft:dark_forest",
        "minecraft:old_growth_pine_taiga",
        "minecraft:old_growth_spruce_taiga",
        "minecraft:taiga",
        "minecraft:snowy_taiga",
        "minecraft:savanna",
        "minecraft:meadow",
        "minecraft:windswept_hills",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:birch_forest",
        "minecraft:flower_forest",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "herobrine011840_dungeons:crypt",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 64,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 64,
      "whitelisted_biomes": [
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:plains",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:old_growth_pine_taiga",
        "minecraft:old_growth_spruce_taiga",
        "minecraft:taiga",
        "minecraft:snowy_taiga",
        "minecraft:savanna",
        "minecraft:meadow",
        "minecraft:windswept_hills",
        "minecraft:savanna_plateau",
        "minecraft:desert"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "herobrine011840_dungeons:diorite_tower",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 64,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 64,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "herobrine011840_dungeons:easydungeon",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 48,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 48,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:plains",
        "minecraft:sunflower_plains",
        "minecraft:savanna",
        "minecraft:savanna_plateau"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "herobrine011840_dungeons:harddungeon",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 128,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 128,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:plains",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:forest",
        "minecraft:old_growth_birch_forest",
        "minecraft:dark_forest",
        "minecraft:old_growth_pine_taiga",
        "minecraft:old_growth_spruce_taiga",
        "minecraft:taiga",
        "minecraft:snowy_taiga",
        "minecraft:savanna",
        "minecraft:meadow",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:birch_forest",
        "minecraft:flower_forest",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "herobrine011840_dungeons:lost_gardens",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 111,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 111,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:plains",
        "minecraft:snowy_plains",
        "minecraft:forest",
        "minecraft:old_growth_birch_forest",
        "minecraft:dark_forest",
        "minecraft:old_growth_pine_taiga",
        "minecraft:old_growth_spruce_taiga",
        "minecraft:taiga",
        "minecraft:snowy_taiga",
        "minecraft:savanna",
        "minecraft:meadow",
        "minecraft:windswept_hills",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:birch_forest",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "herobrine011840_dungeons:mediumdungeon",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 100,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 100,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:plains",
        "minecraft:sunflower_plains",
        "minecraft:savanna",
        "minecraft:savanna_plateau"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "joshie:monolith",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "minecraft:plains",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:forest",
        "minecraft:old_growth_birch_forest",
        "minecraft:dark_forest",
        "minecraft:old_growth_pine_taiga",
        "minecraft:old_growth_spruce_taiga",
        "minecraft:taiga",
        "minecraft:snowy_taiga",
        "minecraft:savanna",
        "minecraft:windswept_hills",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:birch_forest",
        "minecraft:flower_forest",
        "minecraft:grove"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "keebsz:bamboo_battletower",
      "is_disabled": true,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [],
      "blacklisted_biomes": []
    },
    {
      "name": "keebsz:cobblestone_battletower",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:fen"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "more_tree_sizes:largeoaktree",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 64,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 64,
      "whitelisted_biomes": [
        "regions_unexplored:deciduous_forest",
        "minecraft:plains"
      ],
      "blacklisted_biomes": []
    },
    {
      "name": "valoria:crypt",
      "is_disabled": false,
      "enable_flatness_check": false,
      "flatness_check_distance": 80,
      "flatness_check_threshold": 10,
      "enable_biome_check": false,
      "biome_check_distance": 80,
      "whitelisted_biomes": [
        "regions_unexplored:autumnal_maple_forest",
        "regions_unexplored:cold_boreal_taiga",
        "regions_unexplored:cold_deciduous_forest",
        "regions_unexplored:deciduous_forest",
        "regions_unexplored:frozen_tundra",
        "regions_unexplored:golden_boreal_taiga",
        "regions_unexplored:fungal_fen",
        "regions_unexplored:mauve_hills",
        "regions_unexplored:silver_birch_forest",
        "regions_unexplored:sparse_redwoods",
        "regions_unexplored:temperate_grove",
        "regions_unexplored:willow_forest",
        "regions_unexplored:maple_forest",
        "regions_unexplored:orchard",
        "regions_unexplored:pine_taiga",
        "regions_unexplored:frozen_pine_taiga",
        "regions_unexplored:icy_heights",
        "minecraft:plains",
        "minecraft:sunflower_plains",
        "minecraft:snowy_plains",
        "minecraft:old_growth_birch_forest",
        "minecraft:savanna",
        "minecraft:savanna_plateau",
        "minecraft:desert",
        "minecraft:birch_forest",
        "minecraft:flower_forest"
      ],
      "blacklisted_biomes": []
    }
  ],
  "structure_sets": [
    {
      "name": "ati_structures:aboveground_large",
      "override_global_spacing_and_separation_modifier": true,
      "spacing": 30,
      "separation": 22
    },
    {
      "name": "ati_structures:aboveground_medium",
      "override_global_spacing_and_separation_modifier": true,
      "spacing": 32,
      "separation": 24
    },
    {
      "name": "ati_structures:gnome_hut",
      "override_global_spacing_and_separation_modifier": false,
      "spacing": 40,
      "separation": 15
    },
    {
      "name": "castle_dungeons:castle_illager",
      "override_global_spacing_and_separation_modifier": false,
      "spacing": 24,
      "separation": 8
    },
    {
      "name": "cinchcraft:abandoned_archeology_sites",
      "override_global_spacing_and_separation_modifier": false,
      "spacing": 47,
      "separation": 22
    },
    {
      "name": "cinchcraft:abandoned_house",
      "override_global_spacing_and_separation_modifier": false,
      "spacing": 31,
      "separation": 30
    },
    {
      "name": "cinchcraft:ruined_mob_grinders",
      "override_global_spacing_and_separation_modifier": true,
      "spacing": 63,
      "separation": 46
    },
    {
      "name": "dungeons_arise_seven_seas:minor_structures",
      "override_global_spacing_and_separation_modifier": false,
      "spacing": 28,
      "separation": 23
    },
    {
      "name": "herobrine011840_dungeons:badlands_settlement",
      "override_global_spacing_and_separation_modifier": true,
      "spacing": 28,
      "separation": 19
    },
    {
      "name": "herobrine011840_dungeons:harddungeon",
      "override_global_spacing_and_separation_modifier": true,
      "spacing": 54,
      "separation": 27
    },
    {
      "name": "herobrine011840_dungeons:lost_gardens",
      "override_global_spacing_and_separation_modifier": true,
      "spacing": 60,
      "separation": 29
    },
    {
      "name": "keebsz:battletowers",
      "override_global_spacing_and_separation_modifier": true,
      "spacing": 24,
      "separation": 16
    },
    {
      "name": "minecraft:desert_pyramid",
      "override_global_spacing_and_separation_modifier": true,
      "spacing": 62,
      "separation": 44
    },
    {
      "name": "philipsruins:ancient_crypt",
      "override_global_spacing_and_separation_modifier": false,
      "spacing": 52,
      "separation": 37
    },
    {
      "name": "philipsruins:antiquus_crypta",
      "override_global_spacing_and_separation_modifier": false,
      "spacing": 57,
      "separation": 35
    },
    {
      "name": "philipsruins:field_stone_ruins",
      "override_global_spacing_and_separation_modifier": false,
      "spacing": 49,
      "separation": 31
    },
    {
      "name": "philipsruins:level_one_ruins",
      "override_global_spacing_and_separation_modifier": true,
      "spacing": 24,
      "separation": 21
    },
    {
      "name": "philipsruins:level_three_ruins",
      "override_global_spacing_and_separation_modifier": true,
      "spacing": 21,
      "separation": 18
    },
    {
      "name": "philipsruins:level_two_ruins",
      "override_global_spacing_and_separation_modifier": true,
      "spacing": 29,
      "separation": 22
    },
    {
      "name": "philipsruins:rare_ruin",
      "override_global_spacing_and_separation_modifier": true,
      "spacing": 71,
      "separation": 35
    },
    {
      "name": "useful_creatures:rockyhouse",
      "override_global_spacing_and_separation_modifier": true,
      "spacing": 42,
      "separation": 28
    }
  ]
}